/*
 * drv_led.h
 *
 *  Created on: 17 мар. 2025 г.
 *      Author: basov.g
 */

#ifndef DRV_DRV_LED_H_
#define DRV_DRV_LED_H_

#define COUNTLED 4

typedef enum
{
	LedModeOff,
	LedModeOn,
	LedModeToogle,
	LedModeFastToogle,
	LedModeActiveEnergy,
	LedModeReactiveEnergy
}LedMode;

typedef enum
{
	LedError,
	LedStatus,
	LedFirst,
	LedSecond
}LedName;

void drv_led_init(void);
void drv_led_update(void);

void drv_led_setMode(LedName name, LedMode mode);


#endif /* DRV_DRV_LED_H_ */
